-module(record2t).
-export([message/1]).
-export([funct/1]).

-record(rec,{first,last}).
message({M, Pid}) ->
   Pid ! M,
   receive
       {Pid, Request} -> {ok, Pid, Request}
   end.


funct({A,B})->
    T = #rec{first=A, last=B},
    T#rec.first + T#rec.last.

